#
# TODO:
# - review BRs
#
# Conditional build:
%bcond_without	libkonq		# importing the right click menu of konqueror
%bcond_with	libkjsembed	# with libkjsembed
#

Summary:	Krusader is a filemanager for KDE
Summary(pl.UTF-8):	Krusader jest zarządcą plików dla KDE
Name:		krusader
Version:	2.7.2
Release:	1
License:	GPL
Group:		X11/Applications
Source0:	http://download.kde.org/stable/%{name}/%{version}/%{name}-%{version}.tar.xz
# Source0-md5:	dcccc3a5e956ad0b1b63f236c4f41a7f
URL:		http://www.krusader.org/
#BuildRequires:	Qt3Support-devel
BuildRequires:	Qt5Concurrent-devel
BuildRequires:	Qt5DBus-devel
BuildRequires:	Qt5Network-devel
BuildRequires:	Qt5Xml-devel
#BuildRequires:	QtDBus-devel
#BuildRequires:	QtSvg-devel
#BuildRequires:	automoc4
BuildRequires:	cmake
BuildRequires:	gettext-tools
#%{?with_libkonq:BuildRequires:	kde4-kdebase-devel}
#%{?with_libkjsembed:BuildRequires:	kde4-kdebindings-kjsembed-devel}
#BuildRequires:	kde4-kdelibs-devel
BuildRequires:	kf5-extra-cmake-modules
BuildRequires:	kf5-karchive-devel
BuildRequires:	kf5-kauth-devel
BuildRequires:	kf5-kbookmarks-devel
BuildRequires:	kf5-kcodecs-devel
BuildRequires:	kf5-kcompletion-devel
BuildRequires:	kf5-kconfig-devel
BuildRequires:	kf5-kconfigwidgets-devel
BuildRequires:	kf5-kcoreaddons-devel
BuildRequires:	kf5-kdoctools-devel
BuildRequires:	kf5-kguiaddons-devel
BuildRequires:	kf5-ki18n-devel
BuildRequires:	kf5-kiconthemes-devel
BuildRequires:	kf5-kio-devel
BuildRequires:	kf5-kitemviews-devel
BuildRequires:	kf5-kjobwidgets-devel
BuildRequires:	kf5-knotifications-devel
BuildRequires:	kf5-kparts-devel
BuildRequires:	kf5-kservice-devel
BuildRequires:	kf5-ktextwidgets-devel
BuildRequires:	kf5-kwallet-devel
BuildRequires:	kf5-kwidgetsaddons-devel
BuildRequires:	kf5-kwindowsystem-devel
BuildRequires:	kf5-kxmlgui-devel
BuildRequires:	kf5-solid-devel
BuildRequires:	kf5-sonnet-devel
BuildRequires:	phonon-qt5-devel
BuildRequires:	qt5-build
BuildRequires:	qt5-qmake
BuildRequires:	rpmbuild(macros) >= 1.129
BuildRequires:	sed >= 4.0
BuildRequires:	zlib-devel
Suggests:	arj
Suggests:	bzip2
Suggests:	cfv
Suggests:	coreutils
Suggests:	dpkg
Suggests:	gzip
Suggests:	kde4-kdesdk-kompare
Suggests:	kdiff3
Suggests:	krename >= 3.9.1
Suggests:	lha
Suggests:	md5deep
Suggests:	p7zip
Suggests:	rar
Suggests:	tar
Suggests:	unace
Suggests:	unarj
Suggests:	unrar
Suggests:	unzip
Suggests:	zip
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%undefine	with_ccache

%description
Krusader is a filemanager for KDE, patterned after old-school managers
like midnight commander and norton commander. It features basically
all your file-management needs, plus extensive archive handling,
mounted filesystems support, FTP and much much more. It is (almost)
completely customizable, very user friendly, fast and damn good
looking :-). You should give it a try.

%description -l pl.UTF-8
Krusader jest zarządcą plików dla KDE, wzorowanym na takich zarządcach
"starej szkoły", jak Midnight Commander czy Norton Commander.
Zaspokaja w zasadzie wszystkie podstawowe potrzeby w zarządzaniu
plików, dodatkowo obsługuje archiwa, montowanie systemów plików, FTP i
o wiele, wiele więcej. Jest (prawie) całkowicie ustawialny, bardzo
przyjazny dla użytkownika, szybki i cholernie ładny :-). Powinieneś go
wypróbować.

%prep
%setup -q

%build
install -d build
cd build
%cmake \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
%if "%{_lib}" == "lib64"
	-DLIB_SUFFIX=64 \
%endif
	../

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir}

%{__make} -C build/ install \
        DESTDIR=$RPM_BUILD_ROOT \
        kde_htmldir=%{_kdedocdir}


%find_lang %{name} --with-kde

# locolor icons are deprecated (see kde .spec-s)
rm -f $RPM_BUILD_ROOT%{_iconsdir}/locolor/*/apps/*.png

install -d $RPM_BUILD_ROOT%{_libdir}/qt5/plugins
%{__mv} $RPM_BUILD_ROOT%{_libdir}/plugins/*.so $RPM_BUILD_ROOT%{_libdir}/qt5/plugins

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog FAQ README doc-extras/actions_tutorial.txt
%attr(755,root,root) %{_bindir}/krusader
%attr(755,root,root) %{_libdir}/qt5/plugins/*.so
%{_sysconfdir}/xdg/kio_isorc
%{_datadir}/metainfo/org.kde.krusader.appdata.xml
%{_datadir}/krusader
%{_datadir}/kservices5/*.protocol
%{_datadir}/kxmlgui5/krusader
%{_desktopdir}/*.desktop
%{_docdir}/HTML/*/krusader
%{_iconsdir}/hicolor/*/*/*
%{_mandir}/man1/krusader.1.gz
%lang(de) %{_mandir}/de/man1/krusader.1.gz
%lang(it) %{_mandir}/it/man1/krusader.1.gz
%lang(nl) %{_mandir}/nl/man1/krusader.1.gz
%lang(pt) %{_mandir}/pt/man1/krusader.1.gz
%lang(sv) %{_mandir}/sv/man1/krusader.1.gz
%lang(uk) %{_mandir}/uk/man1/krusader.1.gz
%changelog
* Fri Jul 09 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/krusader.git;a=log;h=master

* Thu Jul 08 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 63cc6dd
- updated to 2.7.2
- commented some BRs

* Sat Mar 30 2019 Jan Rękorajski <baggins@pld-linux.org> 0fe7a54
- release 4 (by relup.sh)

* Wed Mar 13 2019 Jan Rękorajski <baggins@pld-linux.org> bffc439
- release 3 (by relup.sh)

* Wed Mar 13 2019 Jan Rękorajski <baggins@pld-linux.org> a1a1e8e
- release 2 (by relup.sh)

* Thu Sep 13 2018 Adam Osuchowski <adwol@pld-linux.org> da0b343
- up to 2.7.1

* Thu Jun 01 2017 Adam Osuchowski <adwol@pld-linux.org> b7db214
- up to 2.6.0
- BR: Qt5Concurrent-devel
- added man pages

* Tue Feb 07 2017 Adam Osuchowski <adwol@pld-linux.org> 4b9c16f
- up to 2.5.0 (switched to Qt5)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> b3a416c
- updated gettext BR

* Wed Jul 13 2011 Zsolt Udvari <uzsolt@pld-linux.org> 52e0bbb
- change url

* Mon Feb 22 2010 sparky <sparky@pld-linux.org> bcdc40d
- BR: qt4-build, qt4-qmake
- dropped unused BR: autoconf, automake

* Mon Feb 22 2010 lisu <lisu@pld-linux.org> cce379c
- include missing headers (stdio.h for fprintf() and stderr)

* Mon Feb 22 2010 lisu <lisu@pld-linux.org> b6a2761
- fix build (-headers.patch)
- rel 2

* Thu Jul 09 2009 arvenil <arvenil@pld-linux.org> 3a6bc18
- S: arj
- S: rar
- cleanup

* Sun Jul 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 0b2cbda
- drop obsolete files

* Sun Apr 12 2009 Robert Tomasik <rotom@pld-linux.org> 7b4b890
- up to 2.0.0 stable

* Sun Apr 12 2009 Robert Tomasik <rotom@pld-linux.org> ab1c3ad
- stable 2.0.0 merget from DEVEL

* Sun Mar 23 2008 witekfl <witekfl@pld-linux.org> c96362f
- added BR kdelibs-shared (dtd/kdex.dtd)

* Sat Mar 22 2008 witekfl <witekfl@pld-linux.org> 10308d0
- up to 1.90.0

* Mon Feb 18 2008 tommat <tommat@pld-linux.org> 1c2d7a2
- outdated

* Mon Feb 18 2008 tommat <tommat@pld-linux.org> c71ec76
- no patch4
- patch3 outdated - removed
- removed todo
- rel 1

